Skip to main content
POST
/
ad-metrics
/
{storeUrl}
/
enrich
Enrich advertising asset IDs
curl --request POST \
  --url https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/enrich \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "channel": "<string>"
}
'
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({channel: '<string>'})
};

fetch('https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/enrich"

payload = { "channel": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "assets": [
    {
      "assetId": "<string>",
      "assetName": "<string>",
      "assetStatus": "<string>",
      "assetEffectiveStatus": "<string>"
    }
  ]
}
{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}
{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}
{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}
{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}
{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}

Authorizations

x-api-key
string
header
required

A server-side Bily API key created under Settings > MCP > Access key fallback. Select the intended store before creating it.

Headers

x-bily-organization-id
string

An organization ID returned by GET /context or GET /organizations. Required for GET /stores and optional for store-scoped paths.

Example:

"org_01J8W7T9G3E6ZQ4M2K5N8P1R0S"

Path Parameters

storeUrl
string
required

The exact store URL returned by GET /context or GET /stores.

Example:

"store.example.com"

Body

application/json
channel
string
required
campaignIds
string[]
adsetIds
string[]
adIds
string[]

Response

Request completed successfully.

assets
object[]
required